The webhook notification serves to provide a notification that informs the Remote Host about actions that have been made or information that needs to be relayed to your own customers.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
For certain transactions, only a webhook request will be sent and not an authorization request as Visa requires us to approve the transaction no matter what. For example, a reversal to an original deduction request must be approved, therefore a webhook will be sent to notify you that a reversal has occurred and it is expected that money is adjusted accordingly based on the webhook, check the case by case #reversals for more information.
To confirm that the request is authentic, we will always send a header called X-COP-Signature-256. It will be prefixed sha256={hash of the request body with secret}. For example, X-COP-Signature-256: "sha256=7bfa3187cddb25ce4a31194db16738c1ef9aceb5117d86cc9c87faccface06b7"
Webhook Types are defined as follows:
- transaction: This webhook notifies you of the final outcome of a request. If you approved a transaction but the webhook indicates a failure, you should revert the transaction.
- Note: For transaction webhook which marked as
rejected, we'll also provide therejection_reasonas a indicator of the error classification, check transaction rejection reasons for more information.
- Note: For transaction webhook which marked as
- otp_notification: Triggered when your user requests a one-time password. You can choose the method to relay this information to your user.
- Note: for the
merchant,amount,currencyfields, omit empty.
- Note: for the
- card_spend_limit: Sent when a user reaches their card spending limit.
- reconciliation_manual_adjustment: Sent when there is a discrepancy between the Base 2 clearing file and the Base 1 live transaction records. You may need to adjust (either deduct or refund) based on the action recommended.
- reconciliation_success: We send you a list of transactions that have matched amounts between the transaction clearing file and the live transaction.
- pre_authorization_release: Sent when we automatically release a hold on a preauthorized amount.
- card_token_passcode: Provides a passcode needed for card token authentication.
- oob_notification: Triggered when your user requests an out-of-band authentication. You can choose the method to relay this information to your user.
- Note: for the
transaction_id,authentication_idare the identifiers for the 3DS transaction. For the 3DS transaction which is adding the card, theacquirer_amountwill be zero. - You can utilize the identifiers to obtain oob, check obtain out-of-band authentication for more information
- Note: for the
- card_token_provisioned: Triggered when your user successfully provisioned a token. You can choose the method to relay this information to your user
- For more information please refer to provisioning-notification.
- settlement_account_topup: Triggered when topup to StraitsX settlement account is sucessfuly performed. It will inform important information such as amount, currency and source of transfer.
- settlement_summary : Triggered after daily settlement processis done to inform settlement amount.
- settlement_offset : This will notify you whenever a settlement offset occurs, allowing you to track credits and debits more accurately.
- card_token_provisioning_failed: Triggered when card token provisioning is failed
- card_token_status_changed: Sent when a card token’s status transitions to a new state
- card_status_transition: Sent when a card's status changes (e.g. activated, suspended, blocked, closed). Requires the "Card Status Transition Webhook" feature to be enabled.
- card_pin_set: Sent when a customer successfully set their card PIN. Requires the "Card PIN Action Webhook" feature to be enabled.
- card_pin_changed: Sent when a customer successfully changed their card PIN. Requires the "Card PIN Action Webhook" feature to be enabled.
- card_pin_reset: Sent when a customer successfully reset their card PIN. Requires the "Card PIN Action Webhook" feature to be enabled.
- card_custom_per_transaction_limit_revoked: Sent when a custom per-transaction limit on a card is revoked.
- dispute_financial_advice: Sent when a transaction-level dispute financial record is received via the Visa clearing system.
- just_in_time_funding_recommendation: Sent once per day to recommend a settlement account top-up amount based on the previous day's cardholder spending. An issuing group may receive up to two events per day — one per settlement type (DOMESTIC and INTERNATIONAL).
- customer_offboarded: Sent once when a customer is offboarded on compliance grounds. All of the customer's cards are
PERM_BLOCKand all tokens deactivated (still reported on their own card_status_transition / card_token_status_changed channels). Carries a reason_codeCOMPLIANCE_POLICY). Opt-in per merchant, off by default. - customer_kyc_status_changed: Sent when a customer's KYC status got updated.

